Link Search Menu Expand Document Documentation Menu

OpenSearch client compatibility

Most clients that work with Elasticsearch OSS 7.10.2 should work with OpenSearch, but the latest versions of those clients might include license or version checks that artificially break compatibility. This page includes recommendations around which versions of those clients to use for best compatibility with OpenSearch.

Clients exist for a wide variety of languages, so if you test a client and verify that it works, please submit a PR and add it to this table.